priority_queue_s Struct Reference

## Data Fields

void ** | pointers
size_t | alloc_size
size_t | size
void * | max_element
int(* | compare )(const void *a, const void *b)

## Detailed Description

Definition at line 46 of file priority_queue.c.

## Field Documentation

## alloc_size

size_t priority_queue_s::alloc_size

Definition at line 48 of file priority_queue.c.

## compare

int(* priority_queue_s::compare) (const void *a, const void *b)

Definition at line 51 of file priority_queue.c.

## max_element

void* priority_queue_s::max_element

Definition at line 50 of file priority_queue.c.

## pointers

void** priority_queue_s::pointers

Definition at line 47 of file priority_queue.c.

## size

size_t priority_queue_s::size

Definition at line 49 of file priority_queue.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/priority_queue.c